# $Revision: 1.15 $, $Date: 2007/02/12 22:09:12 $
%define		_modname	huffman
%define		_status		stable
Summary:	%{_modname} - lossless compression algorithm
Summary(pl.UTF-8):	%{_modname} - bezstratny algorytm kompresji
Name:		php-pecl-%{_modname}
Version:	0.2.0
Release:	6
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	e920b06610fb3b6ad1d79dc910962dc3
URL:		http://pecl.php.net/package/huffman/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Huffman compression belongs into a family of algorithms with a
variable codeword length. That means that individual symbols
(characters in a text file for instance) are replaced by bit sequences
that have a distinct length. So symbols that occur a lot in a file are
given a short sequence while other that are used seldom get a longer
bit sequence.

In PECL status of this extension is: %{_status}.

%description -l pl.UTF-8
Kompresja Huffmana należy do grupy algorytmów o zmiennej długości
klucza. To oznacza, że pojedyncze symbole (np. znaki w pliku
tekstowym) są zastępowane sekwencjami bitów o różnej długości. W ten
sposób symbole, które często pojawiają się w pliku, są zastępowane
krótszą sekwencją, podczas gdy inne, rzadziej używane, otrzymują
dłuższą sekwencję bitową.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/{CREDITS,README}
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-huffman.spec,v $
Revision 1.15  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.13  2006/12/28 13:41:15  glen
- use new php extension related macros

Revision 1.12  2006/12/13 22:33:06  glen
- rel 6 (php 5.2.0)

Revision 1.11  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.10  2005/12/22 12:12:04  glen
- rel 5 (rebuild with new php)

Revision 1.9  2005/10/30 13:29:27  glen
- rel 4

Revision 1.8  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.7  2005/09/14 20:35:30  glen
- rel 2

Revision 1.6  2005/09/14 13:37:00  glen
- conf.d and php api macros

Revision 1.5  2005/09/13 21:16:43  glen
- superfluous BR libtool removed

Revision 1.4  2004/08/28 10:54:51  adamg
- updated to 0.2.0

Revision 1.3  2004/08/26 17:58:59  qboosh
- pl fixes

Revision 1.2  2004/08/25 20:01:19  adamg
- license fix
- pl description

Revision 1.1  2004/08/25 19:57:44  adamg
- new
